#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	25.04.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kpublictransport
Summary:	A library for accessing realtime public transport data
Name:		ka6-%{kaname}
Version:	25.04.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	5b2cdef615d1a5cc372675a529e40013
URL:		https://community.kde.org/KDE_PIM/KDE_Itinerary
BuildRequires:	Qt6Core-devel >= 5.15.2
BuildRequires:	Qt6Gui-devel >= 5.15.2
BuildRequires:	Qt6Network-devel >= 5.15.2
BuildRequires:	Qt6Qml-devel >= 5.15.2
BuildRequires:	Qt6Quick-devel
BuildRequires:	kf6-extra-cmake-modules >= 5.91
BuildRequires:	ninja
BuildRequires:	polyclipping-devel
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library for accessing realtime public transport data and for
performing public transport journey queries.

This includes:
- Finding bus stops or train stations, departures/arrivals from there,
  and journeys between those.
- Path and routing information for individual transport sections of a
  journey.
- Information about train coach and train station platform layouts.
- Information about rental vehicle positions and availability, such as
  shared bikes or scooters.
- Realtime information about the operational status of elevators or
  escalators.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	ka5-%{kaname}-devel < %{version}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKPublicTransport.so.1
%attr(755,root,root) %{_libdir}/libKPublicTransport.so.*.*
%ghost %{_libdir}/libKPublicTransportOnboard.so.1
%attr(755,root,root) %{_libdir}/libKPublicTransportOnboard.so.*.*
%dir %{_libdir}/qt6/qml/org/kde/kpublictransport
%{_libdir}/qt6/qml/org/kde/kpublictransport/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/kpublictransport/kpublictransportqmlplugin.qmltypes
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/kpublictransport/libkpublictransportqmlplugin.so
%dir %{_libdir}/qt6/qml/org/kde/kpublictransport/onboard
%{_libdir}/qt6/qml/org/kde/kpublictransport/onboard/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/kpublictransport/onboard/kpublictransportonboardqmlplugin.qmltypes
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/kpublictransport/onboard/libkpublictransportonboardqmlplugin.so
%{_libdir}/qt6/qml/org/kde/kpublictransport/onboard/qmldir
%{_libdir}/qt6/qml/org/kde/kpublictransport/qmldir
%dir %{_libdir}/qt6/qml/org/kde/kpublictransport/ui
%{_libdir}/qt6/qml/org/kde/kpublictransport/ui/VehicleSectionItem.qml
%{_libdir}/qt6/qml/org/kde/kpublictransport/ui/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/kpublictransport/ui/kpublictransportquickplugin.qmltypes
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/kpublictransport/ui/libkpublictransportquickplugin.so
%{_libdir}/qt6/qml/org/kde/kpublictransport/ui/qmldir
%{_datadir}/qlogging-categories6/org_kde_kpublictransport.categories
%{_datadir}/qlogging-categories6/org_kde_kpublictransport_onboard.categories
%{_libdir}/qt6/qml/org/kde/kpublictransport/ui/FeatureIcon.qml
%{_libdir}/qt6/qml/org/kde/kpublictransport/ui/OccupancyIndicator.qml
%{_libdir}/qt6/qml/org/kde/kpublictransport/ui/JourneyHorizontalBar.qml
%{_libdir}/qt6/qml/org/kde/kpublictransport/ui/TransportIcon.qml
%{_libdir}/qt6/qml/org/kde/kpublictransport/ui/TransportNameControl.qml

%files devel
%defattr(644,root,root,755)
%{_includedir}/KPublicTransport
%{_libdir}/cmake/KPublicTransport
%{_libdir}/libKPublicTransport.so
%{_libdir}/libKPublicTransportOnboard.so
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-kpublictransport.git;a=log;h=master

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> dbe335d
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3281aea
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> fc26373
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3b0005d
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 50f1c49
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ab8b6b7
- updated to 24.08.3

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5324baf
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c5cbdb6
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3072342
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9cfe7f0
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9f5ca66
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 54ae440
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 09add95
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 98598c0
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c19efbb
- updated to 24.02.0

